Bug 436905 - (perl-JSON-Any) Review Request: perl-JSON-Any - A meta-module to make working with JSON easier
Review Request: perl-JSON-Any - A meta-module to make working with JSON easier
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
Blocks: perl-DBIx-Class
  Show dependency treegraph
Reported: 2008-03-10 22:12 EDT by Chris Weyl
Modified: 2014-03-06 08:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-12 15:23:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-03-10 22:12:44 EDT
SRPM URL: http://fedora.biggerontheinside.net/review/perl-JSON-Any-1.16-1.fc8.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-JSON-Any.spec

JSON::Any provides a coherent API to bring together the various JSON modules
currently on CPAN.
Comment 1 Chris Weyl 2008-03-10 22:14:51 EDT
scratch build at: http://koji.fedoraproject.org/koji/taskinfo?taskID=509740
Comment 2 Parag AN(पराग) 2008-03-11 01:28:35 EDT
Any reason for not installing optional modules that skipped some tests of "make

- JSON::PC   ...missing.
==> Auto-install the 1 optional module(s) from CPAN? [y/N] n
- JSON::DWIW ...missing.
==> Auto-install the 1 optional module(s) from CPAN? [y/N] n
- JSON::Syck ...loaded. (0.29)
Comment 3 Parag AN(पराग) 2008-03-11 01:32:04 EDT
can you also add other 2 packages for JSON::PC and JSON::DWIW?
Comment 4 Chris Weyl 2008-03-11 01:41:22 EDT
Yes, as noted in the spec -- JSON::Any relies on one or more of the JSON parsers
currently on CPAN.  We have JSON::XS and JSON in Fedora; we prefer ::XS as it's
faster and ensure tests are run for that module.  If other JSON parsers are
added to Fedora in the future, the spec can be updated to ensure builds test
against them, as well.
Comment 5 Parag AN(पराग) 2008-03-11 01:52:38 EDT
Thanks for putting comments in advance in SPEC for additional JSON packages.

+ package builds in mock.
Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=509740
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
37325d39aa62b291d05b9e90d2df12a0  JSON-Any-1.16.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'inc', 'blib/lib', 'blib/arch')" t/00-load.t t/01-JSON.t t/02-JSON-XS.t
t/03-JSON-DWIW.t t/04-ENV.t t/05-JSON-Syck.t t/10_unicode.t
t/00-load.........# Testing JSON::Any 1.16, Perl 5.010000, /usr/bin/perl
t/01-JSON.........# Testing JSON.pm backend
t/02-JSON-XS......# Testing JSON::XS backend
        all skipped: JSON::DWIW not installed: Couldn't find a JSON Package. at
(eval 3) line 1
t/10_unicode......# handler is JSON::XS
# handler is JSON::Backend::XS::Supportable
# DWIW: Couldn't find a JSON Package. at t/10_unicode.t line 18
# Syck: JSON::Syck does not support utf8 at t/10_unicode.t line 19
# PC: Couldn't find a JSON Package. at t/10_unicode.t line 18
All tests successful, 1 test skipped.
Files=7, Tests=80,  1 wallclock secs ( 0.39 cusr +  0.04 csys =  0.43 CPU)


Comment 6 Chris Weyl 2008-03-11 01:58:22 EDT
New Package CVS Request
Package Name: perl-JSON-Any
Short Description: A meta-module to make working with JSON easier
Owners: cweyl
Branches: F-7, F-8, devel
InitialCC: perl-sig
Comment 7 Kevin Fenzi 2008-03-12 13:31:25 EDT
cvs done.
Comment 8 Chris Weyl 2008-03-12 15:23:26 EDT
Imported and built for rawhide -- as always, thanks for the review :)
Comment 9 Iain Arnell 2010-09-02 10:32:16 EDT
Package Change Request
Package Name: perl-JSON-Any
New Branches: el6
Owners: iarnell tremble
Comment 10 Kevin Fenzi 2010-09-02 17:20:08 EDT
Git done (by process-git-requests).
Comment 11 Lubomir Rintel 2014-03-04 05:19:59 EST
Package Change Request
Package Name: perl-JSON-Any
New Branches: epel7
Owners: lkundrak eseyman

A message from eseyman, the current Fedora maintainer of the package: "I don't use EPEL so I'm probably not the best choice for a maintainer. Feel free to ask for a branch for any of my modules. If you do, please consider adding me as co-maintainer."
Comment 12 Jon Ciesla 2014-03-06 08:12:15 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.